/**********************  ORDER OF VARIABLES: **********************************************
US                      : po~r~im~ex~q~dp~yd~esps~dps~ys~tr~(br)    ; ms = 10 + tr
EU - Thailand           : re~r~im~ex~q~dp~yd~po~rs~qs~dps~ys~tr~(br); ms = 12 + tr + (br) 
CHN, INDO, PERU, TUR    : re~r~im~ex~0~dp~yd~po~rs~qs~dps~ys~tr~(br); ms = 11 + tr + (br) 
SAUDI                   : re~0~im~ex~0~dp~yd~po~rs~qs~dps~ys~tr~(br); ms = 10 + tr + (br) 
*******************************************************************************************/

/********************************* RESTRICTIONS for i = 2 -> 21 *******************************/
/**********************************************************************************************/

/* ********* ARES2 ********* */
@ *********************** @
  proc (2) = ARES2(ms,r);
@ *********************** @

local RMatrix,bvec,kk;

kk = 6; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,14] = 1;  bvec[3] = 0;

@ 2nd vector @
Rmatrix[4,ms+2] = 1;  bvec[4] = 1;
Rmatrix[5,ms+8] = 1;  bvec[5] = 0;  
Rmatrix[6,ms+14] = 1;  bvec[6] = 0;  

retp(RMatrix,bvec); endp;


/* ********* ARES3 ********* */
@ *********************** @
  proc (2) = ARES3(ms,r);
@ *********************** @

local RMatrix,bvec,kk;

kk = 12; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,14] = 1;  bvec[4] = 0;

@ 2nd vector @
Rmatrix[5,ms+2] = 1;  bvec[5] = 1;
Rmatrix[6,ms+8] = 1;  bvec[6] = 0;  
Rmatrix[7,ms+9] = 1;  bvec[7] = 0;  
Rmatrix[8,ms+14] = 1;  bvec[8] = 0;  

@ 3rd vector @
Rmatrix[9,2*ms+3] = 1;  bvec[9] = 1;
Rmatrix[10,2*ms+8] = 1;  bvec[10] = 0;  
Rmatrix[11,2*ms+9] = 1;  bvec[11] = 0;  
Rmatrix[12,2*ms+14] = 1;  bvec[12] = 0;  

retp(RMatrix,bvec); endp;


/* ********* ARES4 ********* */
@ *********************** @
  proc (2) = ARES4(ms,r);
@ *********************** @
   
local RMatrix,bvec,kk;

kk = 20; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,10] = 1;  bvec[4] = 0;
Rmatrix[5,14] = 1;  bvec[5] = 0;

@ 2nd vector @
Rmatrix[6,ms+2] = 1;  bvec[6] = 1;
Rmatrix[7,ms+8] = 1;  bvec[7] = 0;  
Rmatrix[8,ms+9] = 1;  bvec[8] = 0;  
Rmatrix[9,ms+10] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+14] = 1;  bvec[10] = 0;  

@ 3rd vector @
Rmatrix[11,2*ms+3] = 1;  bvec[11] = 1;
Rmatrix[12,2*ms+8] = 1;  bvec[12] = 0;  
Rmatrix[13,2*ms+9] = 1;  bvec[13] = 0;  
Rmatrix[14,2*ms+10] = 1;  bvec[14] = 0;  
Rmatrix[15,2*ms+14] = 1;  bvec[15] = 0;   

@ 4th vector @
Rmatrix[16,3*ms+4] = 1;  bvec[16] = 1;
Rmatrix[17,3*ms+8] = 1;  bvec[17] = 0;  
Rmatrix[18,3*ms+9] = 1;  bvec[18] = 0;  
Rmatrix[19,3*ms+10] = 1;  bvec[19] = 0;  
Rmatrix[20,3*ms+14] = 1;  bvec[20] = 0;   

retp(RMatrix,bvec); endp;


/* ********* ARES5 ********* */
@ *********************** @
  proc (2) = ARES5(ms,r);
@ *********************** @
  
local RMatrix,bvec,kk;

kk = 30; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,10] = 1;  bvec[4] = 0;
Rmatrix[5,11] = 1;  bvec[5] = 0;
Rmatrix[6,14] = 1;  bvec[6] = 0;

@ 2nd vector @
Rmatrix[7,ms+2] = 1;  bvec[7] = 1;
Rmatrix[8,ms+8] = 1;  bvec[8] = 0;  
Rmatrix[9,ms+9] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+10] = 1;  bvec[10] = 0;  
Rmatrix[11,ms+11] = 1;  bvec[11] = 0;  
Rmatrix[12,ms+14] = 1;  bvec[12] = 0;  

@ 3rd vector @
Rmatrix[13,2*ms+3] = 1;  bvec[13] = 1;
Rmatrix[14,2*ms+8] = 1;  bvec[14] = 0;  
Rmatrix[15,2*ms+9] = 1;  bvec[15] = 0;  
Rmatrix[16,2*ms+10] = 1;  bvec[16] = 0;  
Rmatrix[17,2*ms+11] = 1;  bvec[17] = 0;  
Rmatrix[18,2*ms+14] = 1;  bvec[18] = 0;  

@ 4th vector @
Rmatrix[19,3*ms+4] = 1;  bvec[19] = 1;
Rmatrix[20,3*ms+8] = 1;  bvec[20] = 0;  
Rmatrix[21,3*ms+9] = 1;  bvec[21] = 0;  
Rmatrix[22,3*ms+10] = 1;  bvec[22] = 0;  
Rmatrix[23,3*ms+11] = 1;  bvec[23] = 0;  
Rmatrix[24,3*ms+14] = 1;  bvec[24] = 0;  

@ 5th vector @
Rmatrix[25,4*ms+5] = 1;  bvec[25] = 1;
Rmatrix[26,4*ms+8] = 1;  bvec[26] = 0;  
Rmatrix[27,4*ms+9] = 1;  bvec[27] = 0;  
Rmatrix[28,4*ms+10] = 1;  bvec[28] = 0;  
Rmatrix[29,4*ms+11] = 1;  bvec[29] = 0;  
Rmatrix[30,4*ms+14] = 1;  bvec[30] = 0; 

retp(RMatrix,bvec); endp;


/* ********* ARES6 ********* */
@ *********************** @
  proc (2) = ARES6(ms,r);
@ *********************** @
 
local RMatrix,bvec,kk;

kk = 42; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,10] = 1;  bvec[4] = 0;
Rmatrix[5,11] = 1;  bvec[5] = 0;
Rmatrix[6,12] = 1;  bvec[6] = 0;
Rmatrix[7,14] = 1;  bvec[7] = 0;

@ 2nd vector @
Rmatrix[8,ms+2] = 1;  bvec[8] = 1;
Rmatrix[9,ms+8] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+9] = 1;  bvec[10] = 0;  
Rmatrix[11,ms+10] = 1;  bvec[11] = 0;  
Rmatrix[12,ms+11] = 1;  bvec[12] = 0;  
Rmatrix[13,ms+12] = 1;  bvec[13] = 0;  
Rmatrix[14,ms+14] = 1;  bvec[14] = 0;  

@ 3rd vector @
Rmatrix[15,2*ms+3] = 1;  bvec[15] = 1;
Rmatrix[16,2*ms+8] = 1;  bvec[16] = 0;  
Rmatrix[17,2*ms+9] = 1;  bvec[17] = 0;  
Rmatrix[18,2*ms+10] = 1;  bvec[18] = 0;  
Rmatrix[19,2*ms+11] = 1;  bvec[19] = 0;  
Rmatrix[20,2*ms+12] = 1;  bvec[20] = 0;  
Rmatrix[21,2*ms+14] = 1;  bvec[21] = 0;  

@ 4th vector @
Rmatrix[22,3*ms+4] = 1;  bvec[22] = 1;
Rmatrix[23,3*ms+8] = 1;  bvec[23] = 0;  
Rmatrix[24,3*ms+9] = 1;  bvec[24] = 0;  
Rmatrix[25,3*ms+10] = 1;  bvec[25] = 0;  
Rmatrix[26,3*ms+11] = 1;  bvec[26] = 0;  
Rmatrix[27,3*ms+12] = 1;  bvec[27] = 0;  
Rmatrix[28,3*ms+14] = 1;  bvec[28] = 0;  

@ 5th vector @
Rmatrix[29,4*ms+5] = 1;  bvec[29] = 1;
Rmatrix[30,4*ms+8] = 1;  bvec[30] = 0;  
Rmatrix[31,4*ms+9] = 1;  bvec[31] = 0;  
Rmatrix[32,4*ms+10] = 1;  bvec[32] = 0;  
Rmatrix[33,4*ms+11] = 1;  bvec[33] = 0;  
Rmatrix[34,4*ms+12] = 1;  bvec[34] = 0;  
Rmatrix[35,4*ms+14] = 1;  bvec[35] = 0; 

@ 6th vector @
Rmatrix[36,5*ms+6] = 1;  bvec[36] = 1;
Rmatrix[37,5*ms+8] = 1;  bvec[37] = 0;  
Rmatrix[38,5*ms+9] = 1;  bvec[38] = 0;  
Rmatrix[39,5*ms+10] = 1;  bvec[39] = 0;  
Rmatrix[40,5*ms+11] = 1;  bvec[40] = 0;  
Rmatrix[41,5*ms+12] = 1;  bvec[41] = 0;  
Rmatrix[42,5*ms+14] = 1;  bvec[42] = 0; 

retp(RMatrix,bvec); endp;


/********************************* RESTRICTIONS for i = 21 -> 25 ******************************/
/**********************************************************************************************/

/* ********* BRES2 ********* */
@ *********************** @
  proc (2) = BRES2(ms,r);
@ *********************** @
  
local RMatrix,bvec,kk;

kk = 6; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,7] = 1;  bvec[2] = 0;  
Rmatrix[3,13] = 1;  bvec[3] = 0;

@ 2nd vector @
Rmatrix[4,ms+2] = 1;  bvec[4] = 1;
Rmatrix[5,ms+7] = 1;  bvec[5] = 0;  
Rmatrix[6,ms+13] = 1;  bvec[6] = 0;  

retp(RMatrix,bvec); endp;


/* ********* BRES3 ********* */
@ *********************** @
  proc (2) = BRES3(ms,r);
@ *********************** @
 
local RMatrix,bvec,kk;

kk = 12; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,7] = 1;  bvec[2] = 0;  
Rmatrix[3,8] = 1;  bvec[3] = 0;
Rmatrix[4,13] = 1;  bvec[4] = 0;

@ 2nd vector @
Rmatrix[5,ms+2] = 1;  bvec[5] = 1;
Rmatrix[6,ms+7] = 1;  bvec[6] = 0;  
Rmatrix[7,ms+8] = 1;  bvec[7] = 0;  
Rmatrix[8,ms+13] = 1;  bvec[8] = 0;  

@ 3rd vector @
Rmatrix[9,2*ms+3] = 1;  bvec[9] = 1;
Rmatrix[10,2*ms+7] = 1;  bvec[10] = 0;  
Rmatrix[11,2*ms+8] = 1;  bvec[11] = 0;  
Rmatrix[12,2*ms+13] = 1;  bvec[12] = 0;  

retp(RMatrix,bvec); endp;


/* ********* BRES4 ********* */
@ *********************** @
  proc (2) = BRES4(ms,r);
@ *********************** @
 
local RMatrix,bvec,kk;

kk = 20; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,7] = 1;  bvec[2] = 0;  
Rmatrix[3,8] = 1;  bvec[3] = 0;
Rmatrix[4,9] = 1;  bvec[4] = 0;
Rmatrix[5,13] = 1;  bvec[5] = 0;

@ 2nd vector @
Rmatrix[6,ms+2] = 1;  bvec[6] = 1;
Rmatrix[7,ms+7] = 1;  bvec[7] = 0;  
Rmatrix[8,ms+8] = 1;  bvec[8] = 0;  
Rmatrix[9,ms+9] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+13] = 1;  bvec[10] = 0;  

@ 3rd vector @
Rmatrix[11,2*ms+3] = 1;  bvec[11] = 1;
Rmatrix[12,2*ms+7] = 1;  bvec[12] = 0;  
Rmatrix[13,2*ms+8] = 1;  bvec[13] = 0;  
Rmatrix[14,2*ms+9] = 1;  bvec[14] = 0;  
Rmatrix[15,2*ms+13] = 1;  bvec[15] = 0;   

@ 4th vector @
Rmatrix[16,3*ms+4] = 1;  bvec[16] = 1;
Rmatrix[17,3*ms+7] = 1;  bvec[17] = 0;  
Rmatrix[18,3*ms+8] = 1;  bvec[18] = 0;  
Rmatrix[19,3*ms+9] = 1;  bvec[19] = 0;  
Rmatrix[20,3*ms+13] = 1;  bvec[20] = 0;   

retp(RMatrix,bvec); endp;


/* ********* BRES5 ********* */
@ *********************** @
  proc (2) = BRES5(ms,r);
@ *********************** @
   
local RMatrix,bvec,kk;

kk = 30; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,7] = 1;  bvec[2] = 0;  
Rmatrix[3,8] = 1;  bvec[3] = 0;
Rmatrix[4,9] = 1;  bvec[4] = 0;
Rmatrix[5,10] = 1;  bvec[5] = 0;
Rmatrix[6,13] = 1;  bvec[6] = 0;

@ 2nd vector @
Rmatrix[7,ms+2] = 1;  bvec[7] = 1;
Rmatrix[8,ms+7] = 1;  bvec[8] = 0;  
Rmatrix[9,ms+8] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+9] = 1;  bvec[10] = 0;  
Rmatrix[11,ms+10] = 1;  bvec[11] = 0;  
Rmatrix[12,ms+13] = 1;  bvec[12] = 0;  

@ 3rd vector @
Rmatrix[13,2*ms+3] = 1;  bvec[13] = 1;
Rmatrix[14,2*ms+7] = 1;  bvec[14] = 0;  
Rmatrix[15,2*ms+8] = 1;  bvec[15] = 0;  
Rmatrix[16,2*ms+9] = 1;  bvec[16] = 0;  
Rmatrix[17,2*ms+10] = 1;  bvec[17] = 0;  
Rmatrix[18,2*ms+13] = 1;  bvec[18] = 0;  

@ 4th vector @
Rmatrix[19,3*ms+4] = 1;  bvec[19] = 1;
Rmatrix[20,3*ms+7] = 1;  bvec[20] = 0;  
Rmatrix[21,3*ms+8] = 1;  bvec[21] = 0;  
Rmatrix[22,3*ms+9] = 1;  bvec[22] = 0;  
Rmatrix[23,3*ms+10] = 1;  bvec[23] = 0;  
Rmatrix[24,3*ms+13] = 1;  bvec[24] = 0;  

@ 5th vector @
Rmatrix[25,4*ms+5] = 1;  bvec[25] = 1;
Rmatrix[26,4*ms+7] = 1;  bvec[26] = 0;  
Rmatrix[27,4*ms+8] = 1;  bvec[27] = 0;  
Rmatrix[28,4*ms+9] = 1;  bvec[28] = 0;  
Rmatrix[29,4*ms+10] = 1;  bvec[29] = 0;  
Rmatrix[30,4*ms+13] = 1;  bvec[30] = 0; 

retp(RMatrix,bvec); endp;


/********************************* RESTRICTIONS for i = 1 & 26 ********************************/
/**********************************************************************************************/


/* ********* CRES2 ********* */
@ *********************** @
  proc (2) = CRES2(ms,r);
@ *********************** @
   
local RMatrix,bvec,kk;

kk = 6; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,12] = 1;  bvec[3] = 0;

@ 2nd vector @
Rmatrix[4,ms+2] = 1;  bvec[4] = 1;
Rmatrix[5,ms+8] = 1;  bvec[5] = 0;  
Rmatrix[6,ms+12] = 1;  bvec[6] = 0;  

retp(RMatrix,bvec); endp;


/* ********* CRES3 ********* */
@ *********************** @
  proc (2) = CRES3(ms,r);
@ *********************** @
   
local RMatrix,bvec,kk;

kk = 12; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,12] = 1;  bvec[4] = 0;

@ 2nd vector @
Rmatrix[5,ms+2] = 1;  bvec[5] = 1;
Rmatrix[6,ms+8] = 1;  bvec[6] = 0;  
Rmatrix[7,ms+9] = 1;  bvec[7] = 0;  
Rmatrix[8,ms+12] = 1;  bvec[8] = 0;  

@ 3rd vector @
Rmatrix[9,2*ms+3] = 1;  bvec[9] = 1;
Rmatrix[10,2*ms+8] = 1;  bvec[10] = 0;  
Rmatrix[11,2*ms+9] = 1;  bvec[11] = 0;  
Rmatrix[12,2*ms+12] = 1;  bvec[12] = 0;  

retp(RMatrix,bvec); endp;


/* ********* CRES4 ********* */
@ *********************** @
  proc (2) = CRES4(ms,r);
@ *********************** @
   
local RMatrix,bvec,kk;

kk = 20; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,10] = 1;  bvec[4] = 0;
Rmatrix[5,12] = 1;  bvec[5] = 0;

@ 2nd vector @
Rmatrix[6,ms+2] = 1;  bvec[6] = 1;
Rmatrix[7,ms+8] = 1;  bvec[7] = 0;  
Rmatrix[8,ms+9] = 1;  bvec[8] = 0;  
Rmatrix[9,ms+10] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+12] = 1;  bvec[10] = 0;  

@ 3rd vector @
Rmatrix[11,2*ms+3] = 1;  bvec[11] = 1;
Rmatrix[12,2*ms+8] = 1;  bvec[12] = 0;  
Rmatrix[13,2*ms+9] = 1;  bvec[13] = 0;  
Rmatrix[14,2*ms+10] = 1;  bvec[14] = 0;  
Rmatrix[15,2*ms+12] = 1;  bvec[15] = 0;   

@ 4th vector @
Rmatrix[16,3*ms+4] = 1;  bvec[16] = 1;
Rmatrix[17,3*ms+8] = 1;  bvec[17] = 0;  
Rmatrix[18,3*ms+9] = 1;  bvec[18] = 0;  
Rmatrix[19,3*ms+10] = 1;  bvec[19] = 0;  
Rmatrix[20,3*ms+12] = 1;  bvec[20] = 0;   

retp(RMatrix,bvec); endp;


/* ********* CRES5 ********* */
@ *********************** @
  proc (2) = CRES5(ms,r);
@ *********************** @
   
local RMatrix,bvec,kk;

kk = 30; /* kk = rows(Rmatrix) = rcoin^2 + rcoin; (No. of Restrictions) */
Rmatrix = zeros(kk,ms*rcoin);   @ kk x ms*r : known matrix @
bvec = zeros(kk,1);             @ kk by 1   : known vector @

@ 1st vector @
Rmatrix[1,1] = 1;  bvec[1] = 1;
Rmatrix[2,8] = 1;  bvec[2] = 0;  
Rmatrix[3,9] = 1;  bvec[3] = 0;
Rmatrix[4,10] = 1;  bvec[4] = 0;
Rmatrix[5,11] = 1;  bvec[5] = 0;
Rmatrix[6,12] = 1;  bvec[6] = 0;

@ 2nd vector @
Rmatrix[7,ms+2] = 1;  bvec[7] = 1;
Rmatrix[8,ms+8] = 1;  bvec[8] = 0;  
Rmatrix[9,ms+9] = 1;  bvec[9] = 0;  
Rmatrix[10,ms+10] = 1;  bvec[10] = 0;  
Rmatrix[11,ms+11] = 1;  bvec[11] = 0;  
Rmatrix[12,ms+12] = 1;  bvec[12] = 0;  

@ 3rd vector @
Rmatrix[13,2*ms+3] = 1;  bvec[13] = 1;
Rmatrix[14,2*ms+8] = 1;  bvec[14] = 0;  
Rmatrix[15,2*ms+9] = 1;  bvec[15] = 0;  
Rmatrix[16,2*ms+10] = 1;  bvec[16] = 0;  
Rmatrix[17,2*ms+11] = 1;  bvec[17] = 0;  
Rmatrix[18,2*ms+12] = 1;  bvec[18] = 0;  

@ 4th vector @
Rmatrix[19,3*ms+4] = 1;  bvec[19] = 1;
Rmatrix[20,3*ms+8] = 1;  bvec[20] = 0;  
Rmatrix[21,3*ms+9] = 1;  bvec[21] = 0;  
Rmatrix[22,3*ms+10] = 1;  bvec[22] = 0;  
Rmatrix[23,3*ms+11] = 1;  bvec[23] = 0;  
Rmatrix[24,3*ms+12] = 1;  bvec[24] = 0;  

@ 5th vector @
Rmatrix[25,4*ms+5] = 1;  bvec[25] = 1;
Rmatrix[26,4*ms+8] = 1;  bvec[26] = 0;  
Rmatrix[27,4*ms+9] = 1;  bvec[27] = 0;  
Rmatrix[28,4*ms+10] = 1;  bvec[28] = 0;  
Rmatrix[29,4*ms+11] = 1;  bvec[29] = 0;  
Rmatrix[30,4*ms+12] = 1;  bvec[30] = 0; 

retp(RMatrix,bvec); endp;